View Single Post
Old 31st January 2013, 05:25 AM   #88 (permalink)
Cheith
Dangerous - Post: 587

Amused
Default

If you try and download an old version (eg 7) before downloading the recommended version (currently 8.0.1) it downloads the wrong version of minecraft!

Also note that some of the primary download links are out (Mo creatures, custom mob spawner). The mirrors still work
__________________
Currently playing: Archeage, Landmark (sometimes - waiting on more)
Currently retired from playing: EQ2, Vanguard Saga of Heroes, Fallen Earth, WoW, Mortal Online, Perpetuum, Rift, SWTOR, EVE (again), Minecraft

Last edited by Cheith; 31st January 2013 at 05:37 AM.
Cheith is offline